Bug 695880 - Deleting multiple selected users fails
Deleting multiple selected users fails
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks: rhq41-ui
  Show dependency treegraph
 
Reported: 2011-04-12 16:57 EDT by Jay Shaughnessy
Modified: 2013-09-02 03:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
stack trace (14.50 KB, text/plain)
2011-04-12 16:59 EDT, Jay Shaughnessy
no flags Details

  None (edit)
Description Jay Shaughnessy 2011-04-12 16:57:00 EDT
There are some extra steps in here, maybe, but I can't always get it to happen - these seem to have the best chance.

1) Create at least three new users

2) logout/login

3) nav back to admin-users

4) Select all the new users

5) click Delete button

An uncaught exception is sometimes thrown and the list gets stuck in refresh mode.  Looking at the message center I see two successful deletes followed by the exception. Although, all three users have been deleted.

The unpleasant stack is attached.
Comment 1 Jay Shaughnessy 2011-04-12 16:59:50 EDT
Created attachment 491586 [details]
stack trace
Comment 2 John Mazzitelli 2011-08-23 13:45:50 EDT
this is still a problem. I replicated on the first try.

I see this in the stack (these are just the org.rhq related stack entries)

    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_$processResponse__Lorg_rhq_enterprise_gui_coregui_client_util_RPCDataSource_2Ljava_lang_String_2Lcom_smartgwt_client_data_DSResponse_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_$sendSuccessResponse__Lorg_rhq_enterprise_gui_coregui_client_util_RPCDataSource_2Lcom_smartgwt_client_data_DSRequest_2Lcom_smartgwt_client_data_DSResponse_2Lcom_smartgwt_client_data_Record_2Lorg_rhq_enterprise_gui_coregui_client_util_message_Message_2Ljava_lang_String_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_util_RPCDataSource_$sendSuccessResponse__Lorg_rhq_enterprise_gui_coregui_client_util_RPCDataSource_2Lcom_smartgwt_client_data_DSRequest_2Lcom_smartgwt_client_data_DSResponse_2Ljava_lang_Object_2Lorg_rhq_enterprise_gui_coregui_client_util_message_Message_2Ljava_lang_String_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_admin_users_UsersDataSource$4_$onSuccess__Lorg_rhq_enterprise_gui_coregui_client_admin_users_UsersDataSource$4_2Ljava_lang_Void_2V(Unknown source:0)
    at Unknown.org_rhq_enterprise_gui_coregui_client_admin_users_UsersDataSource$4_onSuccess__Ljava_lang_Object_2V(Unknown source:0)
Comment 3 John Mazzitelli 2011-08-23 13:49:16 EDT
this datasource uses the org.rhq.enterprise.gui.coregui.client.util.RPCDataSource.executeRemove(Record, DSRequest, DSResponse) API

I don't know of anywhere else in the GWT app that we use this. So it doesn't surprise me that this is broken. We might want to consider refactoring this to use the standard pattern we use for CRUD operations in tables.
Comment 4 John Mazzitelli 2011-08-23 16:03:46 EDT
master commit 0063754
Comment 5 Sunil Kondkar 2011-08-24 05:23:44 EDT
Verified on build#334 Version: 4.1.0-SNAPSHOT Build Number: d686a21)

Created 3 users, logged out and after relogin, selected those 3 users in Administration-Users. Clicking on Delete button deleted all the three users and it displays the user list screen. No exception is observed.

Marking as verified.
Comment 6 Heiko W. Rupp 2013-09-02 03:19:29 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.